<template>
  <div class="products-recomendations">
    <SwProductCrossSells :product="product" :cross-sellings="crossSellCollection"/>
  </div>
</template>

<script>
  import {computed, inject} from "@vue/composition-api"
  import {useCms} from "@shopware-pwa/composables"

  export default {

    name: "CmsElementProductCrossSelling",

    components: {
      SwProductCrossSells: () =>
          import("@/components/organisms/SwProductCrossSells.vue"),
    },

    props: {
      content: {
        type: Object,
        default: () => ({}),
      },
    },
    setup(props) {
      const { page } = useCms() // fallback for provide/inject, remove in future
      const cmsPage = inject("cms-page", page)
      const product = computed(() => cmsPage.value?.product)

      const crossSellCollection = computed(
          () => props.content.data?.crossSellings
      )

      return {
        product,
        crossSellCollection,
      }
    },
  }
</script>

<style lang="scss" scoped></style>
